const postcss = require('postcss')
const autoprefixer = require('autoprefixer')
const pxtorem = require('postcss-pxtorem')
module.exports = {
    pagesDir: 'src/views',
    scssDir: 'src/scss/style.scss',
    scriptLibDir: 'src/js/libs',
    styleLibDir: 'src/scss/libs',
    scriptDir: 'src/js',
    devScriptDir: 'src/js/es6',
    scssCacheDir: 'src/cache',
    stylelintFix: true,
    cssLibDir: 'src/scss/libs',
    devServe: {
        port: 3000,
        host: '0.0.0.0',
        proxy: {
            '/api': {  //api 表示拦截以/api开头的请求路径
                target: 'http://uwebshop.uweb.com.cn', // 跨域的域名
                changeOrigin: true, // 是否开启跨域
                logs: true
            }
        }
    },
    build: {
        htmlBuildDir: 'src/static',
        styleBuildDir: 'src/style',
        scriptBuildDir: 'src/script'
    },
    sassPluginHook: {
        transform: async function(source, resolveDir) {
            const { css } = await postcss([autoprefixer, pxtorem({
                // rem基准值
                rootValue: 200,
                // 可以从 px 更改为 rem 的属性
                propList: ['*'],
                // 允许在媒体查询中转换 px
                mediaQuery: true
            })]).process(source, {
                from: undefined
            })
            return css
        }
    }
}